# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
%bcond_with     check
%bcond_with     privileged_tests
#global source_date_epoch_from_changelog 0
#global clamp_mtime_to_source_date_epoch 1

Name:           subprocess-tee
Version:        0.4.3
Release:        1.20250713225002543416.pr182.22.g7c1322a%{?dist}
Summary:        subprocess-tee

License:        MIT
URL:            https://github.com/pycontribs/subprocess-tee
Source0:        subprocess_tee-0.4.3.dev22.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-build
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  git-core
%endif


%description
subprocess-tee


%prep
%autosetup -n subprocess_tee-0.4.3.dev22


%build
%pyproject_wheel


%generate_buildrequires
%pyproject_buildrequires


%install
%pyproject_install
%pyproject_save_files subprocess_tee

%check
%if %{with check}
  pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
test
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Sun Jul 13 2025 Packit <hello@packit.dev> - 0.4.3-1.20250713225002543416.pr182.22.g7c1322a
- Bump the dependencies group across 1 directory with 17 updates (dependabot[bot])
- Bump the dependencies group across 1 directory with 33 updates (#178) (dependabot[bot])
- Adaopt coactions/upload-artifact (#176) (Sorin Sbarnea)
- chore: pre-commit autoupdate (#171) (pre-commit-ci[bot])
- Update test dependencies (#166) (Sorin Sbarnea)
- Enable toml and ini formatting (#165) (Sorin Sbarnea)
- Update RTD config (#164) (Sorin Sbarnea)
- chore: pre-commit autoupdate (#155) (pre-commit-ci[bot])
- Add types to run command (#149) (Sorin Sbarnea)
- Fix project description (#147) (Sorin Sbarnea)
- Upgrade linters (#145) (Sorin Sbarnea)
- Remove use of flake8 (#144) (Sorin Sbarnea)
- Make `test_run_string` pass when the default shell is not bash (#137) (Adam Dangoor)
- Use public pytest interface for importing CaptureFixture (#136) (Adam Dangoor)
- Refactor rpm packaging (#125) (Sorin Sbarnea)
- Enable ruff (#143) (Sorin Sbarnea)
- Enable toml-sort (#142) (Sorin Sbarnea)
- Expose support for python 3.13 (#141) (Sorin Sbarnea)
- Update GHA jobs (#139) (Sorin Sbarnea)
- Fix a typo in a test docstring - "Valida" > "Validate" (#135) (Adam Dangoor)
- Remove support for python 3.9 (#140) (Sorin Sbarnea)
- [pre-commit.ci] pre-commit autoupdate (#130) (pre-commit-ci[bot])
